#!/bin/sh

# This script helps building the file DOCS/TODOs.txt and should be executed by
# developers with SVN write-access

if ! test -e "modules.php"; then
  echo "$0: Please execute this script from root directory."
  exit 1
fi

TODO=`dirname $0`/TODOs.txt

echo "$0: Generating TODOs.txt ..."
echo "### WARNING: THIS FILE IS AUTO-GENERATED BY $0 (uid=$UID/user=$USER) ###" > $TODO
echo "### DO NOT EDIT THIS FILE. ###" >> $TODO
echo "$0: Searching for @TODO ..."
find -type f -name "*.php" -exec grep -Hin "@TODO" {} \; | sort >> $TODO
echo "### ### DEPRECATION FOLLOWS: ### ###" >> $TODO
echo "$0: Searching for @DEPRECATED ..."
find -type f -name "*.php" -exec grep -Hin "@DEPRECATED" {} \; | sort >> $TODO
find -type f -name "*.tpl" -exec grep -Hin "@DEPRECATED" {} \; | sort >> $TODO
echo "$0: Checking for template-warnings.log ..."
LOG=`dirname $0`/template-warnings.log
if test -e "$LOG"; then
	echo "$0: Found a template-warnings.log, adding it..."
	echo "### ### template-warnings.log follows: ### ###" >> $TODO
	cat $LOG >> $TODO
fi
echo "$0: Done."
exit 0
